<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!--
- Licensed Materials - Property of IBM Corp.
- IBM UrbanCode Build
- (c) Copyright IBM Corporation 2012, 2014. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
-->
<plugin-upgrade xmlns="http://www.urbancode.com/UpgradeXMLSchema_v1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <migrate to-version="2">
    <migrate-id new="com.urbancode.air.plugin.git" old="com.urbancode.plugin.git"/>
  </migrate>

  <migrate to-version="3">
  </migrate>

  <migrate to-version="4">
  </migrate>

  <migrate to-version="5">
  </migrate>

  <migrate to-version="6">
  </migrate>

  <migrate to-version="7">
    <migrate-property-group name="Git Repository" type="Repository">
      <migrate-properties>
        <migrate-property name="triggerScript"/>
      </migrate-properties>
    </migrate-property-group>
  </migrate>

  <migrate to-version="8">
  </migrate>

  <migrate to-version="9">
  </migrate>

  <migrate to-version="10">
  </migrate>

  <migrate to-version="11">
    <migrate-property-group name="Git Repository" type="Repository">
      <migrate-properties>
        <migrate-property name="triggerScript"/>
      </migrate-properties>
    </migrate-property-group>
  </migrate>

  <migrate to-version="12">
    <migrate-property-group name="Git Repository" type="Repository">
      <migrate-properties>
        <migrate-property name="triggerScript"/>
      </migrate-properties>
    </migrate-property-group>
  </migrate>

  <migrate to-version="13">
    <migrate-command name="Create GitHub Status">
      <migrate-properties>
        <migrate-property name="state"/>
        <migrate-property name="description"/>
        <migrate-property name="context"/>
        <migrate-property name="baseRestUrl"/>
        <migrate-property name="revision"/>
        <migrate-property name="apiToken"/>
        <migrate-property name="source"/>
      </migrate-properties>
    </migrate-command>
  </migrate>

  <migrate to-version="14">
    <migrate-property-group name="Git Repository" type="Repository">
      <migrate-properties>
        <migrate-property name="triggerScript"/>
      </migrate-properties>
    </migrate-property-group>
  </migrate>

  <migrate to-version="15">
  </migrate>

  <migrate to-version="16">
    <migrate-property-group name="Git Repository" type="Repository">
      <migrate-properties>
        <migrate-property name="triggerScript"/>
      </migrate-properties>
    </migrate-property-group>
  </migrate>

  <migrate to-version="17">
  </migrate>

  <migrate to-version="18">
  </migrate>

</plugin-upgrade>
